#
# spec file for package pass-otp
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pass-otp
Version:        1.2.0
Release:        3.2
Summary:        A pass extension for managing one-time-password (OTP) tokens
License:        GPL-3.0-or-later
Group:          Productivity/Other
URL:            https://github.com/tadfisher/pass-otp
Source0:        https://github.com/tadfisher/pass-otp/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         fix-shebang.patch
BuildRequires:  gcc
BuildRequires:  make
Requires:       oath-toolkit
Requires:       password-store
Requires:       qrencode
BuildArch:      noarch

%description
A pass extension for managing one-time-password (OTP) tokens.
More information may be found in the pass-otp(1) man page.

%prep
%autosetup -p1

%build

%install
%make_install LIBDIR=%{_prefix}/lib
install -Dpm 0644 %{buildroot}%{_sysconfdir}/bash_completion.d/pass-otp \
  %{buildroot}%{_datadir}/bash-completion/completions/pass-otp
rm %{buildroot}%{_sysconfdir}/bash_completion.d/pass-otp

%files
%{_mandir}/man?/%{name}.?%{ext_man}
%doc CHANGELOG.md README.md
%license LICENSE
%{_prefix}/lib/password-store
%{_datadir}/bash-completion/completions/pass-otp

%changelog
* Thu Feb 29 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Sun Aug 30 2020 Ismail Dönmez <idonmez@suse.com>
- Fix library path where %%{_libexecdir} points to %%{_prefix}/libexec
  like in Tumbleweed, instead use %%{_prefix}/lib as library path since
  pass looks for plugins under /usr/lib/password-store
* Mon Nov 19 2018 Karol Babioch <kbabioch@suse.com>
- Update to version 1.2.0
  * Bash completion is now supported
  * Fix getopt parsing; passing `--issuer` and `--account` should no longer
    hang
- Applied spec-cleaner
- Added fix-shebang.patch: Fixed shebang line for autodetection of dependencies
* Sat Jun 30 2018 dmarcoux@posteo.de
- Version 1.1.1
* Mon Mar  5 2018 dmarcoux@posteo.de
- Version 1.1.0
* Wed Jan 24 2018 dmarcoux@posteo.de
- Use %%{_libexecdir}
* Tue Jan 16 2018 dmarcoux@posteo.de
- Version 1.0.0
